import * as react_jsx_runtime from 'react/jsx-runtime';

type BaseInputProps = {
    inputId?: string;
    label?: string;
    description?: string;
    optional?: boolean;
    error?: string;
    attributes?: JSX.IntrinsicElements['input'];
};
interface FormFieldProps extends BaseInputProps {
    feedback?: FeedBackProps;
    children: JSX.Element & JSX.IntrinsicElements['input'];
}
interface FormFieldsetProps {
    label: string;
    description?: string;
    error?: string;
    children: JSX.Element | JSX.Element[];
    feedback?: FeedBackProps;
}
interface FormFieldsetProps {
    label: string;
    description?: string;
    error?: string;
    children: JSX.Element | JSX.Element[];
}
type FeedBackProps = {
    message: string;
    type: 'error';
};

declare const Feedback: ({ message, type }: FeedBackProps) => react_jsx_runtime.JSX.Element;

declare const LabeledFormField: ({ inputId, label, description, feedback, children, optional, }: FormFieldProps) => react_jsx_runtime.JSX.Element;
declare const TitledFormField: ({ label, description, feedback, children, optional, }: FormFieldProps) => react_jsx_runtime.JSX.Element;
declare const FormFieldset: ({ label, description, feedback, children, }: FormFieldsetProps) => react_jsx_runtime.JSX.Element;

declare const Form: ({ children }: {
    children: JSX.Element | JSX.Element[];
}) => react_jsx_runtime.JSX.Element;

export { Feedback, Form, FormFieldset, LabeledFormField, TitledFormField };
